const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

     onLoad () {
         console.log("Main Bundle is loaded");
     }

    start () {

    }

    onLoadCallback(err) {
        if (err) {
            console.log(err);
            return;
        }
        console.log("FINE NO ERROR IN LOADING BUNDLE CLICK ON LOAD SCENE");
    }

    loadBundle1 () {
            cc.assetManager.loadBundle('scene_1', (err, bundle) => {
                bundle.loadScene('scene1',  (err, scene)=> {
                    cc.director.runScene(scene);
                });
            },this.onLoadCallback.bind(this))
            this.loadScene1();
    }


    loadBundle2 () {
            cc.assetManager.loadBundle('scene_2', (err, bundle) => {
                bundle.loadScene('scene2',  (err, scene) =>{
                    cc.director.runScene(scene);
                });
            },this.onLoadCallback.bind(this))
            this.loadScene2();
    }

    loadBundle3 () {
            cc.assetManager.loadBundle('scene_3', (err, bundle) => {
                bundle.loadScene('scene3',  (err, scene)=> {
                    cc.director.runScene(scene);
                });
            },this.onLoadCallback.bind(this))
            this.loadScene3();
    }

    loadBundle4 () {
            cc.assetManager.loadBundle('scene_4',  (err, bundle) => {
                bundle.loadScene('scene4',  (err, scene) =>{
                    cc.director.runScene(scene);
                });
            },this.onLoadCallback.bind(this))
            this.loadScene4();
    }

    loadScene1(){
        cc.director.loadScene("scene1");
    }

    loadScene2(){
        cc.director.loadScene("scene2");
    }

    loadScene3(){
        cc.director.loadScene("scene3");
    }

    loadScene4(){
        cc.director.loadScene("scene4");
    }
     update (dt) {}
}
